package com.ruoyi.project.business.domain.train;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 培训资料对象 tt_train_file
 *
 * @author ruoyi
 * @date 2024-06-19
 */
@EqualsAndHashCode(callSuper = true)
@Data
@TableName("tt_train_file")
public class TtTrainFile extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 资料ID
     */
    @Excel(name = "资料ID")
    private Long fileId;

    /**
     * 培训ID
     */
    @Excel(name = "培训ID")
    private Long trainId;

    /**
     * 删除标记（0：未删除  1：已删除）
     */
    private String delFlag;

    /**
     * 文件名
     */
    @TableField(exist = false)
    private String fileName;

    @TableField(exist = false)
    private String filePath;


    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("fileId", getFileId())
                .append("trainId", getTrainId())
                .append("delFlag", getDelFlag())
                .append("createTime", getCreateTime())
                .append("createBy", getCreateBy())
                .append("updateTime", getUpdateTime())
                .append("updateBy", getUpdateBy())
                .append("remark", getRemark())
                .toString();
    }
}
